import { r as registerInstance, h, H as Host } from './index-102043e0.js';

const dvnFieldDisplayRawDataCss = "dvn-field-display-raw-data{display:block}";

let DvnFieldDisplayRawData = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    let value = this.value || '-';
    const content = JSON.stringify(value, null, 2);
    return (h(Host, null, h("dvn-highlighted-code", { leaned: true, textToCopy: content }, content)));
  }
};
DvnFieldDisplayRawData.style = dvnFieldDisplayRawDataCss;

export { DvnFieldDisplayRawData as dvn_field_display_raw_data };
